package com.kingdee.eas.custom.bill.salary;

import org.apache.commons.lang3.StringUtils;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.metadata.entity.EntityObjectInfo;
import com.kingdee.bos.metadata.entity.LinkPropertyInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;

public class SalaryBagEntryCollection extends AbstractObjectCollection 
{
    public SalaryBagEntryCollection()
    {
        super(SalaryBagEntryInfo.class);
    }
    public boolean add(SalaryBagEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(SalaryBagEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SalaryBagEntryInfo item)
    {
        return removeObject(item);
    }
    public SalaryBagEntryInfo get(int index)
    {
        return(SalaryBagEntryInfo)getObject(index);
    }
    public SalaryBagEntryInfo get(Object key)
    {
        return(SalaryBagEntryInfo)getObject(key);
    }
    public void set(int index, SalaryBagEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(SalaryBagEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SalaryBagEntryInfo item)
    {
        return super.indexOf(item);
    }
    
   
}